/* eslint-disable @typescript-eslint/no-unused-vars */
import type { TourStep } from './types'

export interface TourProps {
  // 是否只显示一次
  once?: boolean
  // 唯一标识(显示一次时必传)
  tourKey?: string
  // 当前处于第几步
  modelValue?: number
  // 步骤
  steps?: TourStep[]
  // 是否开启遮罩层
  mask?: boolean
  // 高亮区内间距
  padding?: number
  // 层级
  zIndex?: number
}

/**
 * 事件
 */
export const tourEmits = {
  'update:modelValue': (_value?: number | null) => true
}
