/* eslint-disable @typescript-eslint/no-unused-vars */
import type { RowProps } from 'element-plus'
import type { CheckCardItem } from './types'

export interface CheckCardProps {
  // 选中值
  modelValue: string
  // 数据
  items?: CheckCardItem[]
  // 是否多选
  multiple?: boolean
  // 是否禁用
  disabled?: boolean
  // 是否显示边框
  bordered?: boolean
  // 是否需要选中箭头
  arrow?: boolean
  // 是否使用删格布局
  row?: boolean | Partial<RowProps>
}

/* 事件 */
export const checkCardEmits = {
  // 修改modelValue
  'update:modelValue': (_value: Array<any> | string | number | null) => true
}
